Bug 258443 - net/openldap25-client installation failure; openldap24-client-2.4.59_2 (in conflict) is deleted then automatically reinstalled
Summary: net/openldap25-client installation failure; openldap24-client-2.4.59_2 (in co...
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Xin LI
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-12 01:11 UTC by Graham Perrin
Modified: 2021-09-12 01:15 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (delphij)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Graham Perrin 2021-09-12 01:11:33 UTC
root@mowa219-gjp4-8570p-freebsd:~ # pkg install openldap25-client
Updating FreeBSD repository catalogue...
FreeBSD repository is up to date.
Updating poudriere repository catalogue...
poudriere repository is up to date.
All repositories are up to date.
The following 1 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
        openldap25-client: 2.5.7 [FreeBSD]

Number of packages to be installed: 1

The process will require 5 MiB more space.
1 MiB to be downloaded.

Proceed with this action? [y/N]: y
[1/1] Fetching openldap25-client-2.5.7.pkg: 100%    1 MiB   1.1MB/s    00:01    
Checking integrity... done (1 conflicting)
  - openldap25-client-2.5.7 [FreeBSD] conflicts with openldap24-client-2.4.59_2 [installed] on /usr/local/bin/ldapadd
Checking integrity... done (0 conflicting)
Conflicts with the existing packages have been found.
One more solver iteration is needed to resolve them.
The following 3 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
        openldap25-client: 2.5.7 [FreeBSD]

Number of packages to be installed: 1

The process will require 5 MiB more space.

Proceed with this action? [y/N]: y
Fetching openldap24-client-2.4.59_2.pkg: 100%    1 MiB   1.1MB/s    00:01    
[1/3] Deinstalling openldap24-client-2.4.59_2...
[1/3] Deleting files for openldap24-client-2.4.59_2: 100%
[1/3] Installing openldap24-client-2.4.59_2...
[1/3] Extracting openldap24-client-2.4.59_2: 100%
[2/3] Installing openldap25-client-2.5.7...
pkg: openldap25-client-2.5.7 conflicts with openldap24-client-2.4.59_2 (installs files into the same place).  Problematic file: /usr/local/bin/ldapadd
root@mowa219-gjp4-8570p-freebsd:~ # date 
Sun Sep 12 02:08:26 BST 2021
root@mowa219-gjp4-8570p-freebsd:~ # uname -aKU
FreeBSD mowa219-gjp4-8570p-freebsd 14.0-CURRENT FreeBSD 14.0-CURRENT #107 main-n249159-bb61ccd530b: Sun Sep  5 23:45:55 BST 2021     root@mowa219-gjp4-8570p-freebsd:/usr/obj/usr/src/amd64.amd64/sys/GENERIC-NODEBUG  amd64 1400032 1400032
root@mowa219-gjp4-8570p-freebsd:~ # pkg info -x openldap
linux-c7-openldap-2.4.44_2
openldap24-client-2.4.59_2
root@mowa219-gjp4-8570p-freebsd:~ #